package com.sundot.airport.exam.enums;

/**
 * <b>功能名：</b>AnswerStatusEnum<br>
 * <b>说明：</b> 答题状态枚举<br>
 * <b>著作权：</b> Copyright (C) 2025 SUNDOT CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author Simon Lin
 */
public enum AnswerStatusEnum {

    /**
     * 待答题
     */
    PENDING("待答题"),

    /**
     * 已答题
     */
    ANSWERED("已答题"),

    /**
     * 超时未答
     */
    TIMEOUT("超时未答");

    /**
     * 枚举中文名
     */
    private final String cnName;

    AnswerStatusEnum(String cnName) {
        this.cnName = cnName;
    }

    public String getCnName() {
        return cnName;
    }
}
